<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>polylib: assert.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>File&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>assert.h File Reference</h1>
<p><a href="assert_8h_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="assert_8h.html#a2abddb569adbf64e896781012cdb9ff6">_assert</a>(ex)&nbsp;&nbsp;&nbsp;{if (!(ex)){(void)fprintf(stderr,&quot;Assertion failed: file \&quot;%s\&quot;, line %d\<a class="el" href="polyparam_8c.html#a76f11d9a0a47b94f72c2d0e77fb32240">n</a>&quot;, __FILE__, __LINE__);(void) abort();}}</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="assert_8h.html#a07d17d6d5d1074c0969bc5d3c3d1d84a">assert</a>(ex)&nbsp;&nbsp;&nbsp;_assert(ex)</td></tr>
</table>
<hr/><h2>Define Documentation</h2>
<a class="anchor" id="a2abddb569adbf64e896781012cdb9ff6"></a><!-- doxytag: member="assert.h::_assert" ref="a2abddb569adbf64e896781012cdb9ff6" args="(ex)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define _assert</td>
          <td>(</td>
          <td class="paramtype">ex&nbsp;</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td>&nbsp;&nbsp;&nbsp;{if (!(ex)){(void)fprintf(stderr,&quot;Assertion failed: file \&quot;%s\&quot;, line %d\<a class="el" href="polyparam_8c.html#a76f11d9a0a47b94f72c2d0e77fb32240">n</a>&quot;, __FILE__, __LINE__);(void) abort();}}</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="assert_8h_source.html#l00025">25</a> of file <a class="el" href="assert_8h_source.html">assert.h</a>.</p>

</div>
</div>
<a class="anchor" id="a07d17d6d5d1074c0969bc5d3c3d1d84a"></a><!-- doxytag: member="assert.h::assert" ref="a07d17d6d5d1074c0969bc5d3c3d1d84a" args="(ex)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define assert</td>
          <td>(</td>
          <td class="paramtype">ex&nbsp;</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td>&nbsp;&nbsp;&nbsp;_assert(ex)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="assert_8h_source.html#l00026">26</a> of file <a class="el" href="assert_8h_source.html">assert.h</a>.</p>

<p>Referenced by <a class="el" href="eval__ehrhart_8c_source.html#l00158">compute_poly()</a>, <a class="el" href="compress__parms_8c_source.html#l00386">Constraints_fullDimensionize()</a>, <a class="el" href="matrix__permutations_8c_source.html#l00104">Constraints_permute()</a>, <a class="el" href="compress__parms_8c_source.html#l00335">Constraints_removeElimCols()</a>, <a class="el" href="homogenization_8c_source.html#l00087">dehomogenize_periodic()</a>, <a class="el" href="homogenization_8c_source.html#l00102">dehomogenize_polynomial()</a>, <a class="el" href="ehrhart_8c_source.html#l02281">Ehrhart_Quick_Apx_Full_Dim()</a>, <a class="el" href="matrix__permutations_8c_source.html#l00134">eliminable_vars()</a>, <a class="el" href="ehrhart_8c_source.html#l01738">Enumerate_NoParameters()</a>, <a class="el" href="polyparam_8c_source.html#l00341">int_array2bit_vector()</a>, <a class="el" href="compress__parms_8c_source.html#l00499">Lattice_extractSubLattice()</a>, <a class="el" href="ranking_8c_source.html#l00051">LexSmaller()</a>, <a class="el" href="compress__parms_8c_source.html#l00119">linearInter()</a>, <a class="el" href="matrix__addon_8c_source.html#l00099">Matrix_identity()</a>, <a class="el" href="matrix__addon_8c_source.html#l00357">Matrix_subMatrix()</a>, <a class="el" href="matrix__addon_8c_source.html#l00293">mpolyhedron_compress_last_vars()</a>, <a class="el" href="matrix__addon_8c_source.html#l00155">mtransformation_expand_left_to_dim()</a>, <a class="el" href="matrix__permutations_8c_source.html#l00066">mtransformation_permute()</a>, <a class="el" href="polyparam_8c_source.html#l01816">Polyhedron2Param_SimplifiedDomain()</a>, <a class="el" href="polyhedron_8c_source.html#l02198">Polyhedron_Compute_Dual()</a>, <a class="el" href="ehrhart_8c_source.html#l01860">Polyhedron_Enumerate()</a>, <a class="el" href="ehrhart_8c_source.html#l00744">Polyhedron_Preprocess()</a>, <a class="el" href="polyhedron_8c_source.html#l03743">Polyhedron_Scan()</a>, and <a class="el" href="polyparam_8c_source.html#l00229">SMAlloc()</a>.</p>

</div>
</div>
</div>
<hr size="1"/><address style="text-align: right;"><small>Generated on Wed Nov 25 17:45:26 2009 for polylib by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
